<nz-tabset nzCentered *ngIf="entity">

  <nz-tab nzTitle='{{ "Notification.Category.General" | translate }}'>
    <div nz-row nzGutter="6">

      <div nz-col nzSpan="6">
        <app-entity-ban-manage [entityId]="entity.id" [entityType]="entityType" [isBanned]="entity.isBanned"
          (reloadEntity)="reloadEntity()">
        </app-entity-ban-manage>
      </div>

      <div nz-col nzSpan="18">
        <app-mod-panel-entity-notes [entityId]="entity.id" [entityType]="entityType">
        </app-mod-panel-entity-notes>
      </div>

    </div>
  </nz-tab>

  <nz-tab nzTitle='{{ "Entity.Components.Reports" | translate }}'>
    <ng-template nz-tab>
      D
    </ng-template>
  </nz-tab>

  <nz-tab nzTitle='{{ "Entity.Components.Trades" | translate }}'>
    <ng-template nz-tab>
      <app-mod-panel-entity-trades [entityType]="entityType" [entityId]="entity.id"></app-mod-panel-entity-trades>
    </ng-template>
  </nz-tab>

  <nz-tab nzTitle='{{ "Common.Inventory" | translate }}'>
    <ng-template nz-tab>
      <app-items-list [entityType]="entityType" [entityId]="entity.id" [canEdit]="true"></app-items-list>
    </ng-template>
  </nz-tab>

  <nz-tab nzTitle='{{ "Donations.Currencies" | translate }}'>
    <ng-template nz-tab>
      <app-currencies [entityType]="entityType" [entityId]="entity.id" [canEdit]="true" [showTitle]="false"
        [showHistoryButton]="true"></app-currencies>
    </ng-template>
  </nz-tab>

  <nz-tab nzTitle='{{ "Entity.Components.Sessions" | translate }}' *ngIf="entityType === 'Citizen'">
    <ng-template nz-tab>
      <app-modpanel-entity-sessions [citizenId]="entity.id"></app-modpanel-entity-sessions>
    </ng-template>
  </nz-tab>

  <nz-tab nzTitle='{{ "Entity.Components.sessionActions" | translate }}' *ngIf="entityType === 'Citizen'">
    <ng-template nz-tab>
      <app-entity-session-actions [entityId]="entity.id"></app-entity-session-actions>
    </ng-template>
  </nz-tab>

</nz-tabset>
